Bug 505655 - Problem loading libcoolkeypk11.so in Firefox 3.5 beta 4
Problem loading libcoolkeypk11.so in Firefox 3.5 beta 4
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 15:06 EDT by Michael Brown
Modified: 2016-04-22 01:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Brown 2009-06-12 15:06:41 EDT
Description of problem:

I'm testing DoD CAC smart cards with Firefox 3.5 beta 4 on Fedora 11 i386.  With previous versions of Firefox, the steps to set up the DoD CAC for use with Firefox were as follows -

1.  Load libcoolkey package

2.  load pcsc-lite package

3.  load pcsc-tools package

4.  Start Firefox and configure a new security module pointing to the libcoolkeypk11.so library in /usr/lib/pkcs11

When I attempt step 4, the creation of the new module fails, with no error reported.  The CAC remains unusable with Firefox.

In contrast, Step 4 works for Thunderbird 3.0 beta 2 on Fedora 11 i386.  The module is created successfully and the certificates on the CAC are usable by Thunderbird.


Version-Release number of selected component (if applicable):

Firefox 3.5 beta 4 on Fedora 11 i386


How reproducible:

Always

Steps to Reproduce:
1.  See above
2.
3.
  
Actual results:

new security module creation fails

Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-06-17 16:11:45 EDT
Kai, could you help us here, please?
Comment 2 Kai Engert (:kaie) 2009-06-17 22:25:54 EDT
I believe this is upstream bug https://bugzilla.mozilla.org/show_bug.cgi?id=494899

You are using Beta 4, which is from April 27.
The issue was fixed after that date.
I believe you'll see the feature working when you use a newer Firefox build like Firefox 3.5 RC1 from June 16.
Comment 3 Bug Zapper 2010-04-27 10:50:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:56:45 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.